﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;
using Telerik.Windows.Input.Touch;

namespace _1030011_RadGridView_WPF_AR_23
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		private RadCarouselPanel carouselPanel;
		private double swipeOffset;

		public MainWindow()
		{
			InitializeComponent();
		}		

		private void OnSwipeStarted(object sender, Telerik.Windows.Input.Touch.TouchEventArgs args)
		{
			args.Handled = true;	
		}

		private void OnSwipe(object sender, SwipeEventArgs args)
		{
			args.Handled = true;
			this.swipeOffset -= args.HorizontalChange;
		}

		private void OnSwipeFinished(object sender, Telerik.Windows.Input.Touch.TouchEventArgs args)
		{
			args.Handled = true;

			if (this.swipeOffset > 0)
			{
				this.carouselPanel.MoveBy(1);				
			}
			else
			{
				this.carouselPanel.MoveBy(-1);	
			}

			this.swipeOffset = 0;
		}

		private void myCarousel_Loaded(object sender, RoutedEventArgs e)
		{
			this.carouselPanel = this.myCarousel.FindCarouselPanel();

			TouchManager.AddSwipeStartedEventHandler(this.carouselPanel, OnSwipeStarted);
			TouchManager.AddSwipeEventHandler(this.carouselPanel, OnSwipe);
			TouchManager.AddSwipeFinishedEventHandler(this.carouselPanel, OnSwipeFinished);
		}
	}
}
